Summary: Warn the administrator if disk space is getting too low.
%define name e-smith-DiskLow
%define version 0.1.3
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Vendor:Altiplano bvba / www.altiplano.be / Info@Altiplano.Be
Copyright: (c)2003 Altiplano bvba, published under the GPL License
Packager: Michiel Blotwijk <michiel.blotwijk@altiplano.be>

Group: Applications/System
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base

%description
DiskLow warns the administrator if disk space on one of the partitions
is getting dangerously low. Warning messages are sent once a day if disk
space has dropped below 10%. Alarm messages will be sent every hour if
only 5% free space is left.
DiskLow is run as a cron job to check the disk space once an hour.

%changelog
* Thu Jan 29 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.1.3-1
- Egometer caused problems if host altiplano.be wasn't reachable. Fixed.

* Sat Jan 24 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.1.2-1
- Silly me! Forgot to remove the debugging code from DiskLow, which resulted 
  in meaningless messages every hour. Fixed.

* Fri Jan 23 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.1.1-1
- DiskLow now ignores CD-Roms and Floppy's. Only harddisk (IDE and SCSI) are
  monitored.
- Inserted the egometer code. See the %post section for details.

* Fri Sep 12 2003 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- 0.1.0-1
- Initial release

%prep

%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(644,root,root)
/etc/cron.d/run_DiskLow
%defattr(755,root,root)
/usr/sbin/DiskLow

%pre

%post
# The following command was included solely to satisfy my ego :-). It triggers
# a counter on www.altiplano.be, indicating the number of times this package
# has been installed. No other information whatsoever is transferred or collected.
# You can check the statistics at http://www.altiplano.be/cgi-bin/stats.cgi.
ERR=`wget -q -t 1 -T 2 --delete-after http://www.altiplano.be/cgi-bin/egometer?%{name}-%{version}`
echo 

%preun

